Skip to main content
GET
/
v1
/
run
List runs
curl --request GET \
  --url https://api.qa.tech/v1/run \
  --header 'Authorization: Bearer <token>'
{
  "runs": [
    {
      "shortId": "<string>",
      "status": "<string>",
      "result": "<string>",
      "trigger": "<string>",
      "branch": "<string>",
      "commitHash": "<string>",
      "testPlanShortId": "<string>",
      "applicationShortIds": [
        "<string>"
      ],
      "startedAt": "<string>",
      "finishedAt": "<string>",
      "createdAt": "<string>",
      "passedCount": 123,
      "failedCount": 123,
      "erroredCount": 123,
      "skippedCount": 123,
      "cancelledCount": 123,
      "totalCount": 123,
      "url": "<string>"
    }
  ],
  "total": 123,
  "limit": 123,
  "offset": 123
}

Query Parameters

query
object
required

Filters for listing runs. Every filter is optional; with no filters the most recent runs across all time are returned, newest first.

Response

200 - application/json

The request has succeeded.

runs
object[]
required
total
integer<int32>
required
limit
integer<int32>
required
offset
integer<int32>
required